Package org.eclipse.m2m.atl.emftvm.util

## Class LazyList.NonCachingList<E>

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyList<E>
    - - org.eclipse.m2m.atl.emftvm.util.LazyList.NonCachingList<E>

Type Parameters:
  `E` - the collection element type

All Implemented Interfaces:
  `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.List<E>`, `org.eclipse.emf.common.util.EList<E>`

Direct Known Subclasses:
  `CDOModelImpl.InResourceList`, `LazyList.AppendList`, `LazyList.ReverseList`, `LazyList.SubList`, `LazyList.UnionList`

Enclosing class:
  LazyList<E>

    public abstract static class LazyList.NonCachingList<E>
    extends LazyList<E>

Abstract `LazyList` that disables caching of the underlying `LazyList`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

### Constructor Summary

Constructors
`NonCachingList​(java.lang.Iterable<E> dataSource)` Creates a `LazyList.NonCachingList` around `dataSource`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createCache()` Creates the cache collections.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, iterator, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, size, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, replaceAll, retainAll, size, sort, spliterator, toArray, toArray`

### Constructor Detail

#### NonCachingList

    public NonCachingList​(java.lang.Iterable<E> dataSource)

Creates a `LazyList.NonCachingList` around `dataSource`.

Parameters:
  `dataSource` - the underlying (lazy) collection

### Method Detail

#### createCache

    protected void createCache()

Creates the cache collections.

Overrides:
  `createCache` in class `LazyList<E>`